Loading...
Searching...
No Matches
seqan3::integral_printer< integral_t > Struct Template Reference
Core » Debug Stream

The printer for integral types. More...

`#include <seqan3/core/debug_stream/default_printer.hpp>`

Inheritance diagram for seqan3::integral_printer< integral_t >:
[legend]

## Public Member Functions

template<typename stream_t>
constexpr void | operator() (stream_t &stream, integral_t const arg) const
| The function call operator that prints the integral to the stream.

## Detailed Description

template<std::integral integral_t>
struct seqan3::integral_printer< integral_t >

The printer for integral types.

8

The integral_printer is used to print integral types to a stream.

Template Parameters

  integral_t | The type of the integral.

## Member Function Documentation

## operator()()

template<std::integral integral_t>
template<typename stream_t>

void seqan3::integral_printer< integral_t >::operator() | ( | stream_t & | stream,
|  | integral_t const | arg ) const

inline constexpr

The function call operator that prints the integral to the stream.

Template Parameters

  stream_t | The type of the stream.

Parameters

  [in,out] | stream | The stream to print to.
  [in] | arg | The integral to print.

The documentation for this struct was generated from the following file:

- default_printer.hpp

Hide me